Returns the Regex's flags

- « MongoDB\BSON\Regex::__construct

- MongoDB\BSON\Regex::getPattern »

- PHP Manual
- MongoDB\BSON\Regex
- Returns the Regex's flags

# MongoDB\BSON\Regex::getFlags

(mongodb >=1.0.0)

MongoDB\BSON\Regex::getFlags — Returns the Regex's flags

### Description

final public MongoDB\BSON\Regex::getFlags(): string

### Parameters

This function has no parameters.

### Return Values

Returns the Regex's flags.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\Regex::getFlags() example

    <?php

    $regex = new MongoDB\BSON\Regex('regex', 'i');
    var_dump($regex->getFlags());

    ?>

The above example will output something similar to:

    string(1) "i"

### See Also

- » BSON Types
- » Supported regular expression flags